com.ihr.xbrl.om

## Class GUIURIResolverFactory

- java.lang.Object
- - com.ihr.xbrl.om.GUIURIResolverFactory

- All Implemented Interfaces:
    HasCreateDTSUriResolver

      public class GUIURIResolverFactory
      extends java.lang.Object
      implements HasCreateDTSUriResolver

  This is the factory class to create an URI resolver that will tell the user that a file has not been found in the file system and allows him to select a local file instead. The class with the user interface will be defined in an interface and passed in during the creation of this object in order to isolate this class from .NET and Java user interfaces.

  After creating a DTSContainer, applications with an user interface can create an instance of this class and then call the DTSContainer method doCallInstallDTSURIResolver on the DTSContainer object in order to register the bridge.

  Since:
    2.6.12
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GUIURIResolverFactory(URIResolverGUI theGUI)` Instantiates a new GUIURI resolver factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createAndRegisterDTSUriResolver(DTSContainer dts)` Implementors of this class should create the URIResolver instance and call the method installDTSURIResolver(URIResolver ) on the DTSContainer passed in as a parameter.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GUIURIResolverFactory

          public GUIURIResolverFactory(URIResolverGUI theGUI)

      Instantiates a new GUIURI resolver factory.
      Parameters:
        `theGUI` - the the gui

  - ### Method Detail

    - #### createAndRegisterDTSUriResolver

          public void createAndRegisterDTSUriResolver(DTSContainer dts)

      Description copied from interface: `HasCreateDTSUriResolver`
      Implementors of this class should create the URIResolver instance and call the method installDTSURIResolver(URIResolver ) on the DTSContainer passed in as a parameter.
      Specified by:
        `createAndRegisterDTSUriResolver` in interface `HasCreateDTSUriResolver`
      Parameters:
        `dts` - the dts